Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Some websites, Mozilla included, appear to think I'm using a different version of Firefox from the one I am using; how can I fix this?

  • 4 replies
  • 9 have this problem
  • 56 views
  • Last reply by Helper7677

more options

I was attempting to install an addon but it said "Not available for Firefox 2.0.0.16" and would not allow me to install the addon. I haven't used that version of Firefox since ... I don't know when. Actually I don't know that I've ever used that version on this computer. I've used several 3.xx versions and currently running 4.0.1. I've tried uninstalling and reinstalling Firefox and I still have the problem. It may be every site, but I know for certain Hotmail and Youtube also both incorrectly identify my browser version.

Chosen solution

Something that you installed has changed your User-agent.

Your User-agent shows as follows. You can click on "More system details..." to the right of your original question and scroll all the way to the bottom of that display to see it for yourself. That "ffco7)" looks like it does not belong.

Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.16; .NET CLR 2.0.50727; ffco7) Gecko/20080702 Firefox/2.0.0.16

Follow the instructions in this article to see if that corrects your problem:




You need to update the following. The Plugin version(s) shown below was/were submitted with your question and is/are out of date. You should update to avoid known security issues with the version(s) you have installed. Click on "More system info..." to the right of your question to see what was included with your question.

  • Adobe Shockwave for Director Netscape plug-in, version 10.2
  1. Check your plugin versions on either of the following links':
  2. Update Shockwave for Director
    • NOTE: this is not the same as Shockwave Flash; this installs the Shockwave Player.
    • Use Firefox to download and SAVE the installer to your hard drive from the link in the article below (Desktop is a good place so you can find it).
    • When the download is complete, exit Firefox (File > Exit)
    • locate and double-click in the installer you just downloaded, let the install complete.
    • Restart Firefox and check your plugins again.
    • Download link and more information: http://support.mozilla.com/en-US/kb/Using+the+Shockwave+plugin+with+Firefox



You show multiple Java Console versions in your Extensions list. You need to remove those in the list below by following the instructions in this artile: http://kb.mozillazine.org/Java#Multiple_Java_Console_extensions

  • Java Console 6.0.07 {CAFEEFAC-0016-0000-0007-ABCDEFFEDCBA}
  • Java Console 6.0.10 {CAFEEFAC-0016-0000-0010-ABCDEFFEDCBA}
  • Java Console 6.0.12 {CAFEEFAC-0016-0000-0012-ABCDEFFEDCBA}
  • Java Console 6.0.13 {CAFEEFAC-0016-0000-0013-ABCDEFFEDCBA}
  • Java Console 6.0.14 {CAFEEFAC-0016-0000-0014-ABCDEFFEDCBA}
  • Java Console 6.0.15 {CAFEEFAC-0016-0000-0015-ABCDEFFEDCBA}
  • Java Console 6.0.17 {CAFEEFAC-0016-0000-0017-ABCDEFFEDCBA}
  • Java Console 6.0.19 {CAFEEFAC-0016-0000-0019-ABCDEFFEDCBA}
  • Java Console 6.0.20 {CAFEEFAC-0016-0000-0020-ABCDEFFEDCBA}
  • Java Console 6.0.21 {CAFEEFAC-0016-0000-0021-ABCDEFFEDCBA}
  • Java Console 6.0.22 {CAFEEFAC-0016-0000-0022-ABCDEFFEDCBA}
  • Java Console 6.0.23 {CAFEEFAC-0016-0000-0023-ABCDEFFEDCBA}
  • Java Console 6.0.24 {CAFEEFAC-0016-0000-0024-ABCDEFFEDCBA}
Read this answer in context 👍 0

All Replies (4)

more options

This article has the steps to resolve this annoying problem: Websites or add-ons incorrectly report incompatible browser | Troubleshooting | Firefox Help

more options

Chosen Solution

Something that you installed has changed your User-agent.

Your User-agent shows as follows. You can click on "More system details..." to the right of your original question and scroll all the way to the bottom of that display to see it for yourself. That "ffco7)" looks like it does not belong.

Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.16; .NET CLR 2.0.50727; ffco7) Gecko/20080702 Firefox/2.0.0.16

Follow the instructions in this article to see if that corrects your problem:




You need to update the following. The Plugin version(s) shown below was/were submitted with your question and is/are out of date. You should update to avoid known security issues with the version(s) you have installed. Click on "More system info..." to the right of your question to see what was included with your question.

  • Adobe Shockwave for Director Netscape plug-in, version 10.2
  1. Check your plugin versions on either of the following links':
  2. Update Shockwave for Director
    • NOTE: this is not the same as Shockwave Flash; this installs the Shockwave Player.
    • Use Firefox to download and SAVE the installer to your hard drive from the link in the article below (Desktop is a good place so you can find it).
    • When the download is complete, exit Firefox (File > Exit)
    • locate and double-click in the installer you just downloaded, let the install complete.
    • Restart Firefox and check your plugins again.
    • Download link and more information: http://support.mozilla.com/en-US/kb/Using+the+Shockwave+plugin+with+Firefox



You show multiple Java Console versions in your Extensions list. You need to remove those in the list below by following the instructions in this artile: http://kb.mozillazine.org/Java#Multiple_Java_Console_extensions

  • Java Console 6.0.07 {CAFEEFAC-0016-0000-0007-ABCDEFFEDCBA}
  • Java Console 6.0.10 {CAFEEFAC-0016-0000-0010-ABCDEFFEDCBA}
  • Java Console 6.0.12 {CAFEEFAC-0016-0000-0012-ABCDEFFEDCBA}
  • Java Console 6.0.13 {CAFEEFAC-0016-0000-0013-ABCDEFFEDCBA}
  • Java Console 6.0.14 {CAFEEFAC-0016-0000-0014-ABCDEFFEDCBA}
  • Java Console 6.0.15 {CAFEEFAC-0016-0000-0015-ABCDEFFEDCBA}
  • Java Console 6.0.17 {CAFEEFAC-0016-0000-0017-ABCDEFFEDCBA}
  • Java Console 6.0.19 {CAFEEFAC-0016-0000-0019-ABCDEFFEDCBA}
  • Java Console 6.0.20 {CAFEEFAC-0016-0000-0020-ABCDEFFEDCBA}
  • Java Console 6.0.21 {CAFEEFAC-0016-0000-0021-ABCDEFFEDCBA}
  • Java Console 6.0.22 {CAFEEFAC-0016-0000-0022-ABCDEFFEDCBA}
  • Java Console 6.0.23 {CAFEEFAC-0016-0000-0023-ABCDEFFEDCBA}
  • Java Console 6.0.24 {CAFEEFAC-0016-0000-0024-ABCDEFFEDCBA}
more options

Thank you very much for the quick response and alerting me to the other issues. I've taken the recommended steps and everything seems to be working properly. Thanks again!

more options

You are welcome.